#
# spec file for package ggv (Version 1.1.90)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile bonobo bonobo-devel docbktls esound esound-devel g-print gconf gdk-pixbuf gdk-pixbuf-devel ghostscript-library ghostscript-x11 glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gtk gtk-devel imlib imlib-devel indent jpeg libjpeg libpng libtiff libxml libxml-devel lprold oaf oaf-devel orbit orbit-devel popt xf86 xpm
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim audiofile autoconf automake binutils bonobo bonobo-devel cracklib docbktls esound esound-devel g-print gcc gconf gdbm gdk-pixbuf gdk-pixbuf-devel gettext ghostscript-library ghostscript-x11 glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gtk gtk-devel imlib imlib-devel indent jpeg libjpeg libpng libtiff libtool libxml libxml-devel libz lprold oaf oaf-devel orbit orbit-devel pam perl popt rpm xdevel xf86 xshared

Name:         ggv
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Applications
Autoreqprov:  on
Summary:      GNOME Ghostview
Version:      1.1.90
Release:      13
Source:       ftp://ftp.gnome.org/pub/GNOME/stable/sources/ggv/ggv-%{version}.tar.bz2
Patch:        ggv-intl.dif
Patch1:       po-de.diff
Patch2:       ggv-1.1.90-security.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Url:          http://www.gnome.org

%description
Tool to view PostScript and PDF documents.

Authors:
--------
    Daniel M. German <dmg@csg.uwaterloo.ca>
    Federico Mena Quintero  <federico@nuclecu.unam.mx>
    Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>
    Jonathan Blandford  <jrb@redhat.com>
    Matt Loper  <matt@gnome-support.com>
    Nuno Ferreira  <nmrf@rnl.ist.utl.pt>
    Raja R Harinath  <harinath@cs.umn.edu>
    Sergey Panov <sipan@mit.edu>
    Tom Tromey  <tromey@cygnus.com>
    Tomas Ogren  <stric@ing.umu.se>
    Tuomas J. Lukka <lukka@iki.fi>

SuSE series: gnm

%prep
%setup -q
%patch -p 1
%patch1 -p 1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib ./configure \
    --prefix=%prefix \
    --localstatedir=/var/lib \
    --sysconfdir=%sysconfdir
make -s

%install
make -s DESTDIR=$RPM_BUILD_ROOT install
mkdir -p ${RPM_BUILD_ROOT}%{sysconfdir}/gconf/gconf.xml.defaults
cp -r %{sysconfdir}/gconf/gconf.xml.defaults/* \
${RPM_BUILD_ROOT}%{sysconfdir}/gconf/gconf.xml.defaults

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{sysconfdir}/gconf/gconf.xml.defaults/*.xml
%{sysconfdir}/gconf/gconf.xml.defaults/*/*.xml
%{sysconfdir}/gconf/gconf.xml.defaults/*/*/*.xml
%{sysconfdir}/gconf/gconf.xml.defaults/*/*/*/*.xml
%{sysconfdir}/gconf/gconf.xml.defaults/*/*/*/*/*.xml
%{prefix}/bin/*
%{prefix}/share/gnome/apps/*/*
%{prefix}/share/gnome/help/*
%{prefix}/share/gnome/ui/*
%{prefix}/share/idl/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/oaf/*
%{prefix}/share/pixmaps/*

%changelog -n ggv
* Thu Sep 26 2002 - okir@suse.de
- added patch to fix buffer overflows
* Thu Oct 25 2001 - hhetter@suse.de
- updated to version 1.1.90,
  * use dash as a filename to read stdin. avoids problems with
  ghostscript 6.51
  * initialize gconf in bonobo component
* Tue Sep 18 2001 - egger@suse.de
- diff: Fixed German translation to make toolbar fit on screen.
* Wed Sep 05 2001 - egger@suse.de
- Updated to version 1.1.1.
- Cleaned up specfile and fixed filelist.
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Sat Jul 07 2001 - egger@suse.de
- Updated to version 1.0.1.
* Tue Mar 20 2001 - hhetter@suse.de
- added esound, esound-devel to neededforbuild
* Fri Mar 09 2001 - egger@suse.de
- Updated to version 1.0.
* Fri Mar 02 2001 - ke@suse.de
- Update to version 1.0-beta2 (rename and repack source files).
* Wed Feb 28 2001 - egger@suse.de
- Fixed to build.
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Sat Feb 17 2001 - egger@suse.de
- Updated to version 1.0beta1.
- Reworked dependencies.
* Wed Feb 14 2001 - schwab@suse.de
- Add %%suse_update_config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Jan 23 2001 - violiet@suse.de
- added improvement Korean message file.
- added Korean Name and Comment in ggv.desktop.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Wed May 10 2000 - ke@suse.de
- Update to version 0.95.
- Use DESTDIR.
* Fri Feb 11 2000 - ke@suse.de
- Update to version 0.82.
- ./configure -> %%build.
* Thu Dec 09 1999 - ke@suse.de
- Update: version 0.81.
* Wed Oct 27 1999 - ke@suse.de
- Update: version 0.70.
* Fri Sep 24 1999 - ke@suse.de
- Update: version 0.61.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - ke@suse.de
- Update: version 0.51 (mainly bug fixes).
* Sat Aug 21 1999 - ke@suse.de
- Update: version 0.50.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Jun 28 1999 - ke@suse.de
- Initial package: version 0.40.
